Package com.collibra.dgc.core.api.dto.instance.community

# Class FindCommunitiesRequest

Object
PagedRequest
CursorPagedRequest
FindCommunitiesRequest

All Implemented Interfaces:
  `Serializable`

public class FindCommunitiesRequest extends CursorPagedRequest
The search criteria for communities.

Only parameters that are specified in this request and have not `null` values are used for filtering. All other parameters are ignored.

The returned communities satisfy all constraints that are specified in this search criteria.

By default a result containing 1000 communities is returned.

See Also:
  - Serialized Form

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Class
  Description
  `static class`
  `FindCommunitiesRequest.Builder`
  `static enum`
  `FindCommunitiesRequest.SortField`

- ## Field Summary

  ### Fields inherited from class PagedRequest

  `countLimit, limit, offset`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `FindCommunitiesRequest()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static FindCommunitiesRequest.Builder`
  `builder()`
  `protected boolean`
  `canEqual(Object other)`
  `boolean`
  `equals(Object o)`
  `String`
  `getName()`
  The name of the community to search for.
  `MatchMode`
  `getNameMatchMode()`
  The match mode used to compare `name`.
  `UUID`
  `getParentId()`
  The ID of the parent community to find the communities in.
  `FindCommunitiesRequest.SortField`
  `getSortField()`
  The field on which the results are sorted.
  `SortOrder`
  `getSortOrder()`
  The sorting order.
  `int`
  `hashCode()`
  `boolean`
  `isExcludeMeta()`
  The exclude meta flag.
  `void`
  `setExcludeMeta(boolean excludeMeta)`
  The exclude meta flag.
  `void`
  `setName(String name)`
  The name of the community to search for.
  `void`
  `setNameMatchMode(MatchMode nameMatchMode)`
  The match mode used to compare `name`.
  `void`
  `setParentId(UUID parentId)`
  The ID of the parent community to find the communities in.
  `void`
  `setSortField(FindCommunitiesRequest.SortField sortField)`
  The field on which the results are sorted.
  `void`
  `setSortOrder(SortOrder sortOrder)`
  The sorting order.
  `String`
  `toString()`

  ### Methods inherited from class CursorPagedRequest

  `getCountLimit, getCursor, getOffset, setCountLimit, setCursor, setOffset`

  ### Methods inherited from class PagedRequest

  `getLimit, isPagingActive, setLimit`

  ### Methods inherited from class Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### FindCommunitiesRequest

    public FindCommunitiesRequest()

- ## Method Details

  - ### builder

    public static FindCommunitiesRequest.Builder builder()

  - ### getName

    public String getName()
    The name of the community to search for.

  - ### getNameMatchMode

    public MatchMode getNameMatchMode()
    The match mode used to compare `name`. If the match mode is `EXACT` the search is case-sensitive, otherwise the search is case-insensitive. Defaults to `ANYWHERE`.

  - ### getParentId

    public UUID getParentId()
    The ID of the parent community to find the communities in.

  - ### isExcludeMeta

    public boolean isExcludeMeta()
    The exclude meta flag. If this is set to true then the meta communities will not be returned (meta communities are i.e. communities not created manually by the user). Defaults to `true`.

  - ### getSortField

    public FindCommunitiesRequest.SortField getSortField()
    The field on which the results are sorted. Defaults to `NAME`.

  - ### getSortOrder

    public SortOrder getSortOrder()
    The sorting order. Defaults to `ASC` (ascending).

  - ### setName

    public void setName(String name)
    The name of the community to search for.

  - ### setNameMatchMode

    public void setNameMatchMode(MatchMode nameMatchMode)
    The match mode used to compare `name`. If the match mode is `EXACT` the search is case-sensitive, otherwise the search is case-insensitive. Defaults to `ANYWHERE`.

  - ### setParentId

    public void setParentId(UUID parentId)
    The ID of the parent community to find the communities in.

  - ### setExcludeMeta

    public void setExcludeMeta(boolean excludeMeta)
    The exclude meta flag. If this is set to true then the meta communities will not be returned (meta communities are i.e. communities not created manually by the user). Defaults to `true`.

  - ### setSortField

    public void setSortField(FindCommunitiesRequest.SortField sortField)
    The field on which the results are sorted. Defaults to `NAME`.

  - ### setSortOrder

    public void setSortOrder(SortOrder sortOrder)
    The sorting order. Defaults to `ASC` (ascending).

  - ### equals

    public boolean equals(Object o)
    Overrides:
      `equals` in class `CursorPagedRequest`

  - ### canEqual

    protected boolean canEqual(Object other)
    Overrides:
      `canEqual` in class `CursorPagedRequest`

  - ### hashCode

    public int hashCode()
    Overrides:
      `hashCode` in class `CursorPagedRequest`

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `CursorPagedRequest`